name: Build KabOS

on:
  push:
    branches:
      - main

jobs:
  build:
    runs-on: docker

    steps:
      - name: Clone repo
        run: git clone http://host.docker.internal:3010/mkm1971/kabos-os.git .

      - name: Build KabOS NVIDIA
        run: docker build -t kabos-nvidia -f Containerfile.nvidia .

      - name: Show images
        run: docker images